Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006761TestLinkTest Specificationpublic2014-11-18 07:532014-12-31 14:22
Reporterhitek_dean 
Assigned Tofman 
PrioritynoneSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindowsOSOS Version7 Professional
Product Version1.9.12 (2014 Q3) 
Fixed in Version1.9.13 (2015 #1) 
Summary0006761: Negative value in Estimate exec. field in test case
DescriptionCan input negative value (minute) in Estimate exec. field in test case information area.
Steps To Reproduce1. Login as admin
2. Choose any Test project
3. Navigate to Test Specification link
4. Choose any test case
5. Enter a negative value in Estimate exec. (min) field
6. Click Save button

Expected results: A warning message should appear "Cannot input negative value!" and not save this value.
Actual result: The system accepts and saves negative value in this field
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserFireFox version 32.0.3
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesjpg file icon bug7ff.jpg [^] (293,879 bytes) 2014-11-18 07:53

- Relationships
child of 0006609closedfman Availables hot-fixes for 1.9.12 & How To get full fixed package from gitorious 

-  Notes
(0022301)
fman (administrator)
2014-12-01 19:47

Preferred solution: transform on user input to positive

From:
http://stackoverflow.com/questions/8808590/html5-number-input-type-that-takes-only-integers [^]

This is not only for html5 all browser is working fine . try this onkeyup="this.value=this.value.replace(/[^0-9]/g,'');"
(0022302)
fman (administrator)
2014-12-01 20:30

https://gitorious.org/testlink-ga/testlink-code/commit/4d509ff52bff0390b0d06af1fda457e8e219727a [^]

- Issue History
Date Modified Username Field Change
2014-11-18 07:53 hitek_dean New Issue
2014-11-18 07:53 hitek_dean File Added: bug7ff.jpg
2014-11-18 13:38 fman QA Team - Task Workflow Status => TBD
2014-11-18 13:38 fman Priority normal => none
2014-12-01 19:47 fman Note Added: 0022301
2014-12-01 19:48 fman Assigned To => fman
2014-12-01 19:48 fman Status new => assigned
2014-12-01 19:48 fman Fixed in Version => 1.9.13 (2015 #1)
2014-12-01 20:30 fman Note Added: 0022302
2014-12-01 20:30 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2014-12-01 20:30 fman Status assigned => resolved
2014-12-01 20:30 fman Resolution open => fixed
2014-12-01 20:30 fman Relationship added child of 0006609
2014-12-31 14:22 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker